OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Private Attributes | Friends | List of all members
oms::Connector Class Reference

Connector. More...

`#include <Connector.h>`

Inheritance diagram for oms::Connector:
[legend]
Collaboration diagram for oms::Connector:
[legend]

## Public Member Functions
| Connector (oms_causality_enu_t causality, oms_signal_type_enu_t type, const oms::ComRef &name, const oms::ComRef &owner)
| Connector (oms_causality_enu_t causality, oms_signal_type_enu_t type, const oms::ComRef &name, const oms::ComRef &owner, double height)
| ~Connector ()
| Connector (const Connector &rhs)
Connector & | operator= (const Connector &rhs)
oms_status_enu_t | exportToSSD (pugi::xml_node &root) const
std::string | getTypeString () const
std::string | getCausalityString () const
| operator std::string () const
void | setName (const oms::ComRef &name)
void | setOwner (const oms::ComRef &owner)
void | setGeometry (const oms::ssd::ConnectorGeometry *newGeometry)
oms_status_enu_t | setExportName (const std::string &exportName)
oms_status_enu_t | setAliasName (const std::string &aliasName)
oms_status_enu_t | setNumericType (oms_signal_numeric_type_enu_t numericType)
oms_signal_numeric_type_enu_t | getNumericType () const
std::string | getExportName () const
std::string | getAliasName () const
const oms_causality_enu_t | getCausality () const
const oms_signal_type_enu_t | getType () const
const oms::ComRef | getOwner () const
const oms::ComRef | getName () const
const oms::ComRef | getFullName () const
const oms::ssd::ConnectorGeometry * | getGeometry () const
Connector | addPrefix (const ComRef &prefix) const
bool | isInput () const
bool | isOutput () const
bool | isParameter () const
bool | isCalculatedParameter () const
bool | isTypeBoolean () const
bool | isTypeInteger () const
bool | isTypeReal () const
bool | isTypeString () const

## Static Public Member Functions
static Connector * | NewConnector (const pugi::xml_node &node, const std::string &sspVersion, const oms::ComRef &owner)
static std::string | getTypeString (const pugi::xml_node &node, const std::string &sspVersion)

## Public Attributes
std::map< std::string, std::map< std::string, std::string > > | connectorUnits
| single entry map which contains unit as key and BaseUnits as value for a connector
std::map< std::string, std::string > | enumerationName
| single entry map which contains connector name as key and enumerationName as value for a connector of type ssc:Enumeration

## Private Attributes
std::string | exportName = ""
| name to be used in result file
std::string | aliasName = ""
| connector name defined in the ssp file
oms_signal_numeric_type_enu_t | numericType = oms_signal_numeric_type_none
| numeric type for the connector for FMI 3.0

## Friends
bool | operator== (const Connector &v1, const Connector &v2)
bool | operator!= (const Connector &v1, const Connector &v2)

## Detailed Description

Connector.

## Constructor & Destructor Documentation

## ◆ Connector() [1/3]

oms::Connector::Connector | ( | oms_causality_enu_t | causality,
|  | oms_signal_type_enu_t | type,
|  | const oms::ComRef & | name,
|  | const oms::ComRef & | owner
| ) |  |

Here is the call graph for this function:

## ◆ Connector() [2/3]

oms::Connector::Connector | ( | oms_causality_enu_t | causality,
|  | oms_signal_type_enu_t | type,
|  | const oms::ComRef & | name,
|  | const oms::ComRef & | owner,
|  | double | height
| ) |  |

Here is the call graph for this function:

## ◆ ~Connector()

oms::Connector::~Connector | ( |  | ) |

## ◆ Connector() [3/3]

oms::Connector::Connector | ( | const Connector & | rhs | ) |

Here is the call graph for this function:

## Member Function Documentation

## ◆ addPrefix()

oms::Connector oms::Connector::addPrefix | ( | const ComRef & | prefix | ) | const

Here is the call graph for this function:

## ◆ exportToSSD()

oms_status_enu_t oms::Connector::exportToSSD | ( | pugi::xml_node & | root | ) | const

## ◆ getAliasName()

std::string oms::Connector::getAliasName | ( |  | ) | const
| inline

## ◆ getCausality()

const oms_causality_enu_t oms::Connector::getCausality | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getCausalityString()

std::string oms::Connector::getCausalityString | ( |  | ) | const

## ◆ getExportName()

std::string oms::Connector::getExportName | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getFullName()

const oms::ComRef oms::Connector::getFullName | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ getGeometry()

const oms::ssd::ConnectorGeometry * oms::Connector::getGeometry | ( |  | ) | const
| inline

## ◆ getName()

const oms::ComRef oms::Connector::getName | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getNumericType()

oms_signal_numeric_type_enu_t oms::Connector::getNumericType | ( |  | ) | const
| inline

## ◆ getOwner()

const oms::ComRef oms::Connector::getOwner | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getType()

const oms_signal_type_enu_t oms::Connector::getType | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getTypeString() [1/2]

std::string oms::Connector::getTypeString | ( |  | ) | const

## ◆ getTypeString() [2/2]

std::string oms::Connector::getTypeString | ( | const pugi::xml_node & | node,
|  | const std::string & | sspVersion
| ) |  |
| static

## ◆ isCalculatedParameter()

bool oms::Connector::isCalculatedParameter | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isInput()

bool oms::Connector::isInput | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isOutput()

bool oms::Connector::isOutput | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isParameter()

bool oms::Connector::isParameter | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isTypeBoolean()

bool oms::Connector::isTypeBoolean | ( |  | ) | const
| inline

## ◆ isTypeInteger()

bool oms::Connector::isTypeInteger | ( |  | ) | const
| inline

## ◆ isTypeReal()

bool oms::Connector::isTypeReal | ( |  | ) | const
| inline

## ◆ isTypeString()

bool oms::Connector::isTypeString | ( |  | ) | const
| inline

## ◆ NewConnector()

oms::Connector * oms::Connector::NewConnector | ( | const pugi::xml_node & | node,
|  | const std::string & | sspVersion,
|  | const oms::ComRef & | owner
| ) |  |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ operator std::string()

oms::Connector::operator std::string | ( |  | ) | const
| inline

## ◆ operator=()

oms::Connector & oms::Connector::operator= | ( | const Connector & | rhs | ) |

Here is the call graph for this function:

## ◆ setAliasName()

oms_status_enu_t oms::Connector::setAliasName | ( | const std::string & | aliasName | ) |
| inline

## ◆ setExportName()

oms_status_enu_t oms::Connector::setExportName | ( | const std::string & | exportName | ) |
| inline

## ◆ setGeometry()

void oms::Connector::setGeometry | ( | const oms::ssd::ConnectorGeometry * | newGeometry | ) |

## ◆ setName()

void oms::Connector::setName | ( | const oms::ComRef & | name | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setNumericType()

oms_status_enu_t oms::Connector::setNumericType | ( | oms_signal_numeric_type_enu_t | numericType | ) |
| inline

## ◆ setOwner()

void oms::Connector::setOwner | ( | const oms::ComRef & | owner | ) |

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | const Connector & | v1,
|  | const Connector & | v2
| ) |  |
| friend

## ◆ operator==

bool operator== | ( | const Connector & | v1,
|  | const Connector & | v2
| ) |  |
| friend

## Member Data Documentation

## ◆ aliasName

std::string oms::Connector::aliasName = ""
| private

connector name defined in the ssp file

## ◆ connectorUnits

std::map<std::string, std::map<std::string, std::string> > oms::Connector::connectorUnits

single entry map which contains unit as key and BaseUnits as value for a connector

## ◆ enumerationName

std::map<std::string, std::string> oms::Connector::enumerationName

single entry map which contains connector name as key and enumerationName as value for a connector of type ssc:Enumeration

## ◆ exportName

std::string oms::Connector::exportName = ""
| private

name to be used in result file

## ◆ numericType

oms_signal_numeric_type_enu_t oms::Connector::numericType = oms_signal_numeric_type_none
| private

numeric type for the connector for FMI 3.0

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Connector.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Connector.cpp